<?php
$tdataRegion_Details=array();
	$tdataRegion_Details[".NumberOfChars"]=80; 
	$tdataRegion_Details[".ShortName"]="Region_Details";
	$tdataRegion_Details[".OwnerID"]="";
	$tdataRegion_Details[".OriginalTable"]="region";


	
//	field labels
$fieldLabelsRegion_Details = array();
if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsRegion_Details["English"]=array();
	$fieldToolTipsRegion_Details["English"]=array();
	$fieldLabelsRegion_Details["English"]["ID"] = "ID";
	$fieldToolTipsRegion_Details["English"]["ID"] = "";
	$fieldLabelsRegion_Details["English"]["Region_Name"] = "Region Name";
	$fieldToolTipsRegion_Details["English"]["Region Name"] = "";
	$fieldLabelsRegion_Details["English"]["Description"] = "Description";
	$fieldToolTipsRegion_Details["English"]["Description"] = "";
	if (count($fieldToolTipsRegion_Details["English"])){
		$tdataRegion_Details[".isUseToolTips"]=true;
	}
}


	
	$tdataRegion_Details[".NCSearch"]=true;

	

$tdataRegion_Details[".shortTableName"] = "Region_Details";
$tdataRegion_Details[".nSecOptions"] = 0;
$tdataRegion_Details[".recsPerRowList"] = 1;	
$tdataRegion_Details[".tableGroupBy"] = "0";
$tdataRegion_Details[".mainTableOwnerID"] = "";
$tdataRegion_Details[".moveNext"] = 1;




$tdataRegion_Details[".showAddInPopup"] = false;

$tdataRegion_Details[".showEditInPopup"] = false;

$tdataRegion_Details[".showViewInPopup"] = false;


$tdataRegion_Details[".fieldsForRegister"] = array();

$tdataRegion_Details[".listAjax"] = false;

	$tdataRegion_Details[".audit"] = false;

	$tdataRegion_Details[".locking"] = false;
	
$tdataRegion_Details[".listIcons"] = true;




$tdataRegion_Details[".showSimpleSearchOptions"] = false;

$tdataRegion_Details[".showSearchPanel"] = true;


$tdataRegion_Details[".isUseAjaxSuggest"] = true;

$tdataRegion_Details[".rowHighlite"] = true;


// button handlers file names

$tdataRegion_Details[".addPageEvents"] = false;

$tdataRegion_Details[".arrKeyFields"][] = "ID";

// use datepicker for search panel
$tdataRegion_Details[".isUseCalendarForSearch"] = false;

// use timepicker for search panel
$tdataRegion_Details[".isUseTimeForSearch"] = false;

$tdataRegion_Details[".isUseiBox"] = false;



$tdataRegion_Details[".isUseInlineAdd"] = true;

$tdataRegion_Details[".isUseInlineJs"] = $tdataRegion_Details[".isUseInlineAdd"] || $tdataRegion_Details[".isUseInlineEdit"];

$tdataRegion_Details[".allSearchFields"] = array();

$tdataRegion_Details[".globSearchFields"][] = "ID";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("ID", $tdataRegion_Details[".allSearchFields"]))
{
	$tdataRegion_Details[".allSearchFields"][] = "ID";	
}
$tdataRegion_Details[".globSearchFields"][] = "Region Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region Name", $tdataRegion_Details[".allSearchFields"]))
{
	$tdataRegion_Details[".allSearchFields"][] = "Region Name";	
}
$tdataRegion_Details[".globSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdataRegion_Details[".allSearchFields"]))
{
	$tdataRegion_Details[".allSearchFields"][] = "Description";	
}


$tdataRegion_Details[".googleLikeFields"][] = "ID";
$tdataRegion_Details[".googleLikeFields"][] = "Region Name";
$tdataRegion_Details[".googleLikeFields"][] = "Description";



$tdataRegion_Details[".advSearchFields"][] = "ID";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("ID", $tdataRegion_Details[".allSearchFields"])) 
{
	$tdataRegion_Details[".allSearchFields"][] = "ID";	
}
$tdataRegion_Details[".advSearchFields"][] = "Region Name";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Region Name", $tdataRegion_Details[".allSearchFields"])) 
{
	$tdataRegion_Details[".allSearchFields"][] = "Region Name";	
}
$tdataRegion_Details[".advSearchFields"][] = "Description";
// do in this way, because combine functions array_unique and array_merge returns array with keys like 1,2, 4 etc
if (!in_array("Description", $tdataRegion_Details[".allSearchFields"])) 
{
	$tdataRegion_Details[".allSearchFields"][] = "Description";	
}

$tdataRegion_Details[".isTableType"] = "list";


	

$tdataRegion_Details[".isDisplayLoading"] = true;

$tdataRegion_Details[".isResizeColumns"] = false;





$tdataRegion_Details[".pageSize"] = 20;

$gstrOrderBy = "";
if(strlen($gstrOrderBy) && strtolower(substr($gstrOrderBy,0,8))!="order by")
	$gstrOrderBy = "order by ".$gstrOrderBy;
$tdataRegion_Details[".strOrderBy"] = $gstrOrderBy;
	
$tdataRegion_Details[".orderindexes"] = array();

$tdataRegion_Details[".sqlHead"] = "SELECT ID,  `Region Name`,  Description";
$tdataRegion_Details[".sqlFrom"] = "FROM region";
$tdataRegion_Details[".sqlWhereExpr"] = "";
$tdataRegion_Details[".sqlTail"] = "";




//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdataRegion_Details[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdataRegion_Details[".arrGroupsPerPage"] = $arrGPP;

	$tableKeys = array();
	$tableKeys[] = "ID";
	$tdataRegion_Details[".Keys"] = $tableKeys;

//	ID
	$fdata = array();
	$fdata["strName"] = "ID";
	$fdata["ownerTable"] = "region";
		
		
		
	$fdata["FieldType"]= 3;
	
		$fdata["AutoInc"]=true;
	
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "ID";
	
		$fdata["FullName"]= "ID";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 1;
				$fdata["EditParams"]="";
			
		$fdata["bListPage"]=true; 
	
		
		
		
		
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
				$fdata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");	
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataRegion_Details["ID"]=$fdata;
//	Region Name
	$fdata = array();
	$fdata["strName"] = "Region Name";
	$fdata["ownerTable"] = "region";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Region_Name";
	
		$fdata["FullName"]= "`Region Name`";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 2;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=50";
		
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataRegion_Details["Region Name"]=$fdata;
//	Description
	$fdata = array();
	$fdata["strName"] = "Description";
	$fdata["ownerTable"] = "region";
		
		
		
	$fdata["FieldType"]= 200;
	
		
			$fdata["UseiBox"] = false;
	
	$fdata["EditFormat"]= "Text field";
	$fdata["ViewFormat"]= "";
	
		
		
		
		
		$fdata["NeedEncode"]=true;
	
	$fdata["GoodName"]= "Description";
	
		$fdata["FullName"]= "Description";
	
		$fdata["IsRequired"]=true; 
	
		
		
		
		
				$fdata["Index"]= 3;
				$fdata["EditParams"]="";
			$fdata["EditParams"].= " maxlength=50";
		
		$fdata["bListPage"]=true; 
	
		
		$fdata["bInlineAdd"]=true; 
	
		
		$fdata["bInlineEdit"]=true; 
	
		
		$fdata["bAdvancedSearch"]=true; 
	
		
		
	//Begin validation
	$fdata["validateAs"] = array();
						$fdata["validateAs"]["basicValidate"][] = "IsRequired";
	
		//End validation
	
				$fdata["FieldPermissions"]=true;
	
		
				
		
		
		
			$tdataRegion_Details["Description"]=$fdata;

	
$tables_data["Region_Details"]=&$tdataRegion_Details;
$field_labels["Region_Details"] = &$fieldLabelsRegion_Details;
$fieldToolTips["Region_Details"] = &$fieldToolTipsRegion_Details;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["Region_Details"] = array();

	
// tables which are master tables for current table (detail)
$masterTablesData["Region_Details"] = array();

// -----------------end  prepare master-details data arrays ------------------------------//

require_once(getabspath("classes/sql.php"));










$proto545=array();
$proto545["m_strHead"] = "SELECT";
$proto545["m_strFieldList"] = "ID,  `Region Name`,  Description";
$proto545["m_strFrom"] = "FROM region";
$proto545["m_strWhere"] = "";
$proto545["m_strOrderBy"] = "";
$proto545["m_strTail"] = "";
$proto546=array();
$proto546["m_sql"] = "";
$proto546["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto546["m_column"]=$obj;
$proto546["m_contained"] = array();
$proto546["m_strCase"] = "";
$proto546["m_havingmode"] = "0";
$proto546["m_inBrackets"] = "0";
$proto546["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto546);

$proto545["m_where"] = $obj;
$proto548=array();
$proto548["m_sql"] = "";
$proto548["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto548["m_column"]=$obj;
$proto548["m_contained"] = array();
$proto548["m_strCase"] = "";
$proto548["m_havingmode"] = "0";
$proto548["m_inBrackets"] = "0";
$proto548["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto548);

$proto545["m_having"] = $obj;
$proto545["m_fieldlist"] = array();
						$proto550=array();
			$obj = new SQLField(array(
	"m_strName" => "ID",
	"m_strTable" => "region"
));

$proto550["m_expr"]=$obj;
$proto550["m_alias"] = "";
$obj = new SQLFieldListItem($proto550);

$proto545["m_fieldlist"][]=$obj;
						$proto552=array();
			$obj = new SQLField(array(
	"m_strName" => "Region Name",
	"m_strTable" => "region"
));

$proto552["m_expr"]=$obj;
$proto552["m_alias"] = "";
$obj = new SQLFieldListItem($proto552);

$proto545["m_fieldlist"][]=$obj;
						$proto554=array();
			$obj = new SQLField(array(
	"m_strName" => "Description",
	"m_strTable" => "region"
));

$proto554["m_expr"]=$obj;
$proto554["m_alias"] = "";
$obj = new SQLFieldListItem($proto554);

$proto545["m_fieldlist"][]=$obj;
$proto545["m_fromlist"] = array();
												$proto556=array();
$proto556["m_link"] = "SQLL_MAIN";
			$proto557=array();
$proto557["m_strName"] = "region";
$proto557["m_columns"] = array();
$proto557["m_columns"][] = "ID";
$proto557["m_columns"][] = "Region Name";
$proto557["m_columns"][] = "Description";
$obj = new SQLTable($proto557);

$proto556["m_table"] = $obj;
$proto556["m_alias"] = "";
$proto558=array();
$proto558["m_sql"] = "";
$proto558["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto558["m_column"]=$obj;
$proto558["m_contained"] = array();
$proto558["m_strCase"] = "";
$proto558["m_havingmode"] = "0";
$proto558["m_inBrackets"] = "0";
$proto558["m_useAlias"] = "0";
$obj = new SQLLogicalExpr($proto558);

$proto556["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto556);

$proto545["m_fromlist"][]=$obj;
$proto545["m_groupby"] = array();
$proto545["m_orderby"] = array();
$obj = new SQLQuery($proto545);

$queryData_Region_Details = $obj;
$tdataRegion_Details[".sqlquery"] = $queryData_Region_Details;

$tableEvents["Region_Details"] = new eventsBase;

?>
